Expression (groovy 3.0.7 API)

Package: org.codehaus.groovy.ast.expr

## [Java] Class Expression

- org.codehaus.groovy.ast.expr.Expression

-     public abstract class Expression
      extends AnnotatedNode

  Represents a base class for expressions which evaluate as an object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Expression[]` | `EMPTY_ARRAY` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ClassNode` | `getType()`
    `` | `public void` | `setType(ClassNode t)`
    `` | `public abstract Expression` | `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
    `` | `protected List<Expression>` | `transformExpressions(List<? extends Expression> expressions, ExpressionTransformer transformer)` Transforms the list of expressions
    `<T extends Expression>` | `protected List<T>` | `transformExpressions(List<? extends Expression> expressions, ExpressionTransformer transformer, Class<T> transformedType)` Transforms the list of expressions, and checks that all transformed expressions have the given type.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Field Detail

    - #### public static final Expression[] EMPTY_ARRAY

  - ### Method Detail

    - #### public ClassNode getType()

    - #### public void setType(ClassNode t)

    - #### public abstract Expression transformExpression(ExpressionTransformer transformer)

      Return a copy of the expression calling the transformer on any nested expressions

      Parameters:
        transformer

    - #### protected List<Expression> transformExpressions(List<? extends Expression> expressions, ExpressionTransformer transformer)

      Transforms the list of expressions

      Returns:
        a new list of transformed expressions

    - #### <T extends Expression> protected List<T> transformExpressions(List<? extends Expression> expressions, ExpressionTransformer transformer, Class<T> transformedType)

      Transforms the list of expressions, and checks that all transformed expressions have the given type.

      Returns:
        a new list of transformed expressions